V20.0

get

/ec-designer-edc-svc/rest/v20.0/studies/{studyId}/versions/{version}/forms

Returns forms for a study version in v20.0. Compared with v19.0, this endpoint supports current v21 form mapping and unblinded-safe data handling behavior.

Request

Path Parameters
Query Parameters
  • Include dynamic data in response (optional).
    Default Value: true
  • Form item type to exclude (optional). Allowed value: instructionalText.
    Allowed Values: [ "instructionalText" ]
  • Form category filter (optional). Allowed values: DCS, NSF, ALL.
    Default Value: DCS
  • Study mode filter. Required. Allowed values: test, training, active, design.
    Default Value: design
    Allowed Values: [ "test", "training", "active", "design" ]
  • Return only forms containing tagged items (optional).
    Default Value: false

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Forms returned successfully.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : FormDto v21.0
Type: object
Title: FormDto v21.0
Form Info
Show Source
Nested Schema : assignedVisits
Type: array
Branch-cycle details describing visits where this form is displayed.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "label":"VISIT_1"
    }
]
Nested Schema : formSubcategory
Type: array
Form subcategory list.
Show Source
Example:
[
    "SCREENING",
    "BASELINE"
]
Nested Schema : items
Type: array
Form item definitions.
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "formId":"B1B8327AFAA6412287106192AB5984EA",
        "questionType":"numeric",
        "questionLabel":"Age",
        "refname":"AGE_01",
        "required":true,
        "sdvRequired":"NEVER"
    }
]
Nested Schema : linkFrom
Type: array
Forms linked to this form.
Show Source
Example:
[
    {
        "formId":"B1B8327AFAA6412287106192AB5984EF",
        "items":[
            "B1B8327AFAA6412287106192AB5984EA"
        ]
    }
]
Nested Schema : FileUploadRequest
Type: object
Logo upload request details.
Show Source
Example:
{
    "name":"1A73BC4FE4954AE4AC50DDF9729F80BE",
    "mode":"design",
    "fileName":"study-logo.png",
    "contentType":"image/png"
}
Nested Schema : showFrom
Type: array
Dynamic parent dependencies from forms on the same visit.
Show Source
Example:
[
    {
        "formId":"B1B8327AFAA6412287106192AB5984EF",
        "items":[
            {
                "id":"B1B8327AFAA6412287106192AB5984EA",
                "label":"PARENT_ITEM"
            }
        ],
        "parentAssignedVisits":[
            {
                "id":"B1B8327AFAA6412287106192AB5984EB",
                "label":"VISIT_1"
            }
        ]
    }
]
Nested Schema : FormCopySourceDto v21.0
Type: object
Title: FormCopySourceDto v21.0
Form Copy Source Information
Show Source
Example:
{
    "studyId":"B1B8327AFAA6412287106192AB5984EF",
    "studyTitle":"Study-s1",
    "formId":"B1B8327AFAA6412287106192AB5984EA",
    "versionStart":"2025-04-30T09:24:15Z",
    "rules":false
}
Nested Schema : From Item Advanced Property With Parent v21.0
Type: object
Title: From Item Advanced Property With Parent v21.0
Form Item Advanced Property with Parent Info
Show Source
Nested Schema : rules
Type: array
Advanced property rules list.
Show Source
Example:
[
    {
        "name":"RolloverQuestionAnswer",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Yes"
    }
]
Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type: object
Title: FormItemAdvancedPropRuleDto v21.0
Form Item Advanced Property Rule
Show Source
Nested Schema : FormItemDto v21.0
Type: object
Title: FormItemDto v21.0
Discriminator: questionType

Discriminator Values

Form Item Information
Show Source
Match One Schema
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : dataClassificationIds
Type: array
Data classification entries.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "type":"DATA_CLASSIFICATION",
        "name":"CLASSIFICATION_ID",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Confidential"
    }
]
Nested Schema : e2br3Mapping
Type: array
E2B R3 mapping entries.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "type":"E2BR3",
        "name":"E2B_FIELD",
        "value":"PATIENT_AGE",
        "label":"Patient Age"
    }
]
Nested Schema : visitIds
Type: array
Visits associated
Show Source
Example:
[B1B8327AFAA6412287106192AB5984EF, B1B8327AFAA6412287106192AB5984EA]
Nested Schema : FormNumberItemDto v21.0
Type: object
Title: FormNumberItemDto v21.0
Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormNumberItemDto v21.0-allOf[1]
Nested Schema : FormChoiceItemDto v21.0
Type: object
Title: FormChoiceItemDto v21.0
Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormChoiceItemDto v21.0-allOf[1]
Nested Schema : FormTextItemDto v21.0
Type: object
Title: FormTextItemDto v21.0
Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormTextItemDto v21.0-allOf[1]
Nested Schema : FormDatetimeItemDto v21.0
Type: object
Title: FormDatetimeItemDto v21.0
Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormDatetimeItemDto v21.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v21.0
Type: object
Title: FormQuestionGroupItemDto v21.0
Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Form Question Group Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormQuestionGroupItemDto v21.0-allOf[1]
Nested Schema : FormTableItemDto v21.0
Type: object
Title: FormTableItemDto v21.0
Form Table Item Details Information
Match All
Form Table Item Details Information
Form Table Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormTableItemDto v21.0-allOf[1]
Nested Schema : FormSectionalItemDto v21.0
Type: object
Title: FormSectionalItemDto v21.0
Form Sectional Item Details Information
Match All
Form Sectional Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
Nested Schema : FormLabelItemDto
Type: object
Match All
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormLabelItemDto-allOf[1]
Nested Schema : FormInstructionalTextItemDto v21.0
Type: object
Title: FormInstructionalTextItemDto v21.0
Form Instructional Text Item Details Information
Match All
Form Instructional Text Item Details Information
Form Instructional Text Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormInstructionalTextItemDto v21.0-allOf[1]
Nested Schema : FormExistingDataItemDtov21
Type: object
Form existing data item Information
Match All
Form existing data item Information
Form existing data item Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
  • FormExistingDataItemDtov21-allOf[1]
Nested Schema : FormFileUploadItemDto v21.0
Type: object
Title: FormFileUploadItemDto v21.0
Form File Upload Item Details Information
Match All
Form File Upload Item Details Information
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
Nested Schema : FormItemAdvancedPropDto v21.0
Type: object
Title: FormItemAdvancedPropDto v21.0
Form Item Advanced Property
Show Source
Nested Schema : rules
Type: array
Advanced property rules list.
Show Source
Example:
[
    {
        "name":"RolloverQuestionAnswer",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Yes"
    }
]
Nested Schema : FormNumberItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : FormChoiceItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormOptionDto v21.0
Type: object
Title: FormOptionDto v21.0
Form choice item option details
Show Source
  • Codelist code for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for a one specific choice.
    Example: 1
  • Codelist item id for a one specific choice.
  • Codelist value for a one specific choice.
    Example: 1
  • Is form item option hidden?
    Example: false
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice sequence value for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormTextItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : FormDatetimeItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : FormQuestionGroupItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Form Item Information
Nested Schema : FormTableItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : FormLabelItemDto-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormInstructionalTextItemDto v21.0-allOf[1]
Type: object
Show Source
Nested Schema : FormExistingDataItemDtov21-allOf[1]
Type: object
Show Source
  • Codelist name for existing data, must be a value from ExistingDataLabels codelist
    Example: EDLSite
  • Codelist value specifying existing data, must be a value from codelist defined in codeName
    Example: SiteName
Nested Schema : FormLinkFromDto v21.0
Type: object
Title: FormLinkFromDto v21.0
Linked From Form Details
Show Source
Example:
[
    {
        "formId":"B1B8327AFAA6412287106192AB5984EF",
        "items":[
            {
                "id":"B1B8327AFAA6412287106192AB5984EA",
                "label":"PARENT_ITEM"
            }
        ],
        "parentAssignedVisits":[
            {
                "id":"B1B8327AFAA6412287106192AB5984EB",
                "label":"VISIT_1"
            }
        ]
    }
]
Nested Schema : items
Type: array
Linked parent item details.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "label":"PARENT_ITEM"
    }
]
Nested Schema : parentAssignedVisits
Type: array
Parent assigned visit details.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "label":"VISIT_1"
    }
]
Examples

500 Response

Unexpected server error while retrieving forms.
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Back to Top